### robocode.control.events

# Class BattleResumedEvent

- `java.lang.Object`
- - `robocode.control.events.BattleEvent`
  - - `robocode.control.events.BattleResumedEvent`

`public class BattleResumedEvent`
`extends BattleEvent`

A BattleResumedEvent is sent to `onBattleResumed()` when the battle has been resumed (after having been paused).

Authors:
  Pavel Savara (original)
  Flemming N. Larsen (contributor)

Since:
  1.6.2

See Also:
  `IBattleListener`, `BattlePausedEvent`

  ## Constructor Summary

  `BattleResumedEvent()`
    Creates a new BattlePausedEvent.

## Constructor Details

### BattleResumedEvent

    public BattleResumedEvent()

> Creates a new BattlePausedEvent.